## org.apache.fop.dom.svg
Class SVGMatrixImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.svg.SVGMatrixImpl

public class SVGMatrixImpl
extends java.lang.Object
implements org.w3c.dom.svg.SVGMatrix

Author:
  Keiron Liddle <keiron@aftexsw.com>

Constructor Summary
`SVGMatrixImpl()`

Method Summary
`org.w3c.dom.svg.SVGMatrix` `flipX()`
`org.w3c.dom.svg.SVGMatrix` `flipY()`
`float` `getA()`
`float` `getB()`
`float` `getC()`
`float` `getD()`
`float` `getE()`
`float` `getF()`
`org.w3c.dom.svg.SVGMatrix` `inverse()`
`org.w3c.dom.svg.SVGMatrix` `multiply(org.w3c.dom.svg.SVGMatrix secondMatrix)`
`org.w3c.dom.svg.SVGMatrix` `rotate(float angle)`
`org.w3c.dom.svg.SVGMatrix` `rotateFromVector(float x, float y)`
`org.w3c.dom.svg.SVGMatrix` `scale(float scaleFactor)`
`org.w3c.dom.svg.SVGMatrix` `scaleNonUniform(float scaleFactorX, float scaleFactorY)`
`void` `setA(float a)`
`void` `setB(float b)`
`void` `setC(float c)`
`void` `setD(float d)`
`void` `setE(float e)`
`void` `setF(float f)`
`org.w3c.dom.svg.SVGMatrix` `skewX(float angle)`
`org.w3c.dom.svg.SVGMatrix` `skewY(float angle)`
`java.lang.String` `toString()`
`org.w3c.dom.svg.SVGMatrix` `translate(float x, float y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SVGMatrixImpl

    public SVGMatrixImpl()

Method Detail

### getA

    public float getA()

  Specified by:
    getA in interface org.w3c.dom.svg.SVGMatrix

### setA

    public void setA(float a)

  Specified by:
    setA in interface org.w3c.dom.svg.SVGMatrix

### getB

    public float getB()

  Specified by:
    getB in interface org.w3c.dom.svg.SVGMatrix

### setB

    public void setB(float b)

  Specified by:
    setB in interface org.w3c.dom.svg.SVGMatrix

### getC

    public float getC()

  Specified by:
    getC in interface org.w3c.dom.svg.SVGMatrix

### setC

    public void setC(float c)

  Specified by:
    setC in interface org.w3c.dom.svg.SVGMatrix

### getD

    public float getD()

  Specified by:
    getD in interface org.w3c.dom.svg.SVGMatrix

### setD

    public void setD(float d)

  Specified by:
    setD in interface org.w3c.dom.svg.SVGMatrix

### getE

    public float getE()

  Specified by:
    getE in interface org.w3c.dom.svg.SVGMatrix

### setE

    public void setE(float e)

  Specified by:
    setE in interface org.w3c.dom.svg.SVGMatrix

### getF

    public float getF()

  Specified by:
    getF in interface org.w3c.dom.svg.SVGMatrix

### setF

    public void setF(float f)

  Specified by:
    setF in interface org.w3c.dom.svg.SVGMatrix

### multiply

    public org.w3c.dom.svg.SVGMatrix multiply(org.w3c.dom.svg.SVGMatrix secondMatrix)
                                       throws org.w3c.dom.svg.SVGException

  Specified by:
    multiply in interface org.w3c.dom.svg.SVGMatrix

### inverse

    public org.w3c.dom.svg.SVGMatrix inverse()
                                      throws org.w3c.dom.svg.SVGException

  Specified by:
    inverse in interface org.w3c.dom.svg.SVGMatrix

### translate

    public org.w3c.dom.svg.SVGMatrix translate(float x,
                                               float y)
                                        throws org.w3c.dom.svg.SVGException

  Specified by:
    translate in interface org.w3c.dom.svg.SVGMatrix

### scale

    public org.w3c.dom.svg.SVGMatrix scale(float scaleFactor)
                                    throws org.w3c.dom.svg.SVGException

  Specified by:
    scale in interface org.w3c.dom.svg.SVGMatrix

### scaleNonUniform

    public org.w3c.dom.svg.SVGMatrix scaleNonUniform(float scaleFactorX,
                                                     float scaleFactorY)
                                              throws org.w3c.dom.svg.SVGException

  Specified by:
    scaleNonUniform in interface org.w3c.dom.svg.SVGMatrix

### rotate

    public org.w3c.dom.svg.SVGMatrix rotate(float angle)
                                     throws org.w3c.dom.svg.SVGException

  Specified by:
    rotate in interface org.w3c.dom.svg.SVGMatrix

### rotateFromVector

    public org.w3c.dom.svg.SVGMatrix rotateFromVector(float x,
                                                      float y)
                                               throws org.w3c.dom.svg.SVGException

  Specified by:
    rotateFromVector in interface org.w3c.dom.svg.SVGMatrix

### flipX

    public org.w3c.dom.svg.SVGMatrix flipX()

  Specified by:
    flipX in interface org.w3c.dom.svg.SVGMatrix

### flipY

    public org.w3c.dom.svg.SVGMatrix flipY()

  Specified by:
    flipY in interface org.w3c.dom.svg.SVGMatrix

### skewX

    public org.w3c.dom.svg.SVGMatrix skewX(float angle)
                                    throws org.w3c.dom.svg.SVGException

  Specified by:
    skewX in interface org.w3c.dom.svg.SVGMatrix

### skewY

    public org.w3c.dom.svg.SVGMatrix skewY(float angle)
                                    throws org.w3c.dom.svg.SVGException

  Specified by:
    skewY in interface org.w3c.dom.svg.SVGMatrix

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.